Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::State Struct Reference

Internal: the state of a MsWksGraph. More...

## Public Member Functions
| State ()
| constructor More...
bool | getPattern (MWAWGraphicStyle::Pattern &pat, int id, long rsid=-1)
| return the pattern corresponding to an id More...
float | getPatternPercent (int id, long rsid=-1)
| return the percentage corresponding to a pattern More...
void | initPatterns (int vers)
| init the pattern value More...

## Public Attributes
int | m_version
| the version More...
MWAWVec2f | m_leftTopPos
| the page left top position in points More...
std::vector< shared_ptr< Zone > > | m_zonesList
| the list of zone More...
std::map< int, RBZone > | m_RBsMap
| the RBIL zone id->list id More...
MWAWFont | m_font
| the actual font More...
int | m_chartId
| an index used to store chart More...
int | m_tableId
| an index used to store table More...
int | m_numPages
| the number of pages More...
std::map< long, Patterns > | m_rsrcPatternsMap
| a map ressource id -> patterns More...

## Detailed Description

Internal: the state of a MsWksGraph.

## Constructor & Destructor Documentation

## ◆ State()

MsWksGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool MsWksGraphInternal::State::getPattern | ( | MWAWGraphicStyle::Pattern & | pat,
|  | int | id,
|  | long | rsid = `-1`
| ) |  |

return the pattern corresponding to an id

## ◆ getPatternPercent()

float MsWksGraphInternal::State::getPatternPercent | ( | int | id,
|  | long | rsid = `-1`
| ) |  |

return the percentage corresponding to a pattern

## ◆ initPatterns()

void MsWksGraphInternal::State::initPatterns | ( | int | vers | ) |

init the pattern value

## Member Data Documentation

## ◆ m_chartId

int MsWksGraphInternal::State::m_chartId

an index used to store chart

## ◆ m_font

MWAWFont MsWksGraphInternal::State::m_font

the actual font

## ◆ m_leftTopPos

MWAWVec2f MsWksGraphInternal::State::m_leftTopPos

the page left top position in points

## ◆ m_numPages

int MsWksGraphInternal::State::m_numPages

the number of pages

## ◆ m_RBsMap

std::map<int, RBZone> MsWksGraphInternal::State::m_RBsMap

the RBIL zone id->list id

## ◆ m_rsrcPatternsMap

std::map<long, Patterns> MsWksGraphInternal::State::m_rsrcPatternsMap

a map ressource id -> patterns

## ◆ m_tableId

int MsWksGraphInternal::State::m_tableId

an index used to store table

## ◆ m_version

int MsWksGraphInternal::State::m_version

the version

## ◆ m_zonesList

std::vector<shared_ptr<Zone> > MsWksGraphInternal::State::m_zonesList

the list of zone

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx